<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * The Main Manager tasks.
 *
 * @package     tool_sync
 * @category    tool
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$tasks = array(
    array(
        'classname' => '\tool_sync\task\usersync_task',
        'blocking' => 0,
        'minute' => '0',
        'hour' => '*/6',
        'day' => '*',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),

    array(
        'classname' => '\tool_sync\task\enrolsync_task',
        'blocking' => 0,
        'minute' => '30',
        'hour' => '*/6',
        'day' => '*',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),

    array(
        'classname' => '\tool_sync\task\userpicturessync_task',
        'blocking' => 0,
        'minute' => '0',
        'hour' => '*/12',
        'day' => '*',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),

    array(
        'classname' => '\tool_sync\task\cohortsync_task',
        'blocking' => 0,
        'minute' => '15',
        'hour' => '*/12',
        'day' => '*',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),

    array(
        'classname' => '\tool_sync\task\coursesync_task',
        'blocking' => 0,
        'minute' => '0',
        'hour' => '*/12',
        'day' => '*',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),

    array(
        'classname' => '\tool_sync\task\fileareacleanup_task',
        'blocking' => 0,
        'minute' => '0',
        'hour' => '1',
        'day' => '*/1',
        'dayofweek' => '*',
        'month' => '*',
        'disabled' => 1,
    ),
);

